Class | Needle::InterceptorChainBuilder::ProxyObjectChainElement
In: | lib/needle/interceptor-chain.rb
Parent: | Object

Encapsulates the end of an interceptor chain, which is the actual object being affected.

### Methods

new process_next

### Public Class methods

new( obj )

Create a new ProxyObjectChainElement that wraps the given object.

### Public Instance methods

process_next( context )

Invoke the method represented by the context on the wrapped object.

[Validate]